﻿using System.Diagnostics;
using System.Windows;
using System.Windows.Input;
using Infragistics.Documents.Excel;
using Infragistics.Windows.DataPresenter.ExcelExporter;
using Infragistics.Windows.DataPresenter;

namespace Demo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void TestXamDataGrid_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
             
            DataPresenterExcelExporter exporter = new DataPresenterExcelExporter();

            exporter.CellExported += Exporter_CellExported;

            exporter.Export(TestXamDataGrid, "test.xlsx", WorkbookFormat.Excel2007);

            Process p = new Process();
            p.StartInfo.FileName ="test.xlsx";
            p.Start();
        }

        private void Exporter_CellExported(object sender, CellExportedEventArgs e)
        {
            WorksheetCell cell = e.CurrentWorksheet.Rows[e.CurrentRowIndex].Cells[e.CurrentColumnIndex];

            if (e.Field.Name.Equals("ECar"))
            {
                DataRecord record = e.Record as DataRecord;

                if (record != null)
                {
                    Employee emp = record.DataItem as Employee;
                    cell.Value = emp.ECar.Make;
                }
            }
        }
    }
}
